--- a/arch/ppc/4xx_io/serial_sicc.c
+++ b/arch/ppc/4xx_io/serial_sicc.c
@@ -705,302 +691,299 @@ errout:
  */
 static void siccuart_shutdown(struct SICC_info *info)
 {
-    unsigned long flags;
+	unsigned long flags;
 
-    if (!(info->flags & ASYNC_INITIALIZED))
-        return;
+	if (!(info->flags & ASYNC_INITIALIZED))
+		return;
 
-    /* lock while shutting down port */
-    spin_lock_irqsave(&info->state->sicc_lock,flags); /* Disable interrupts */
+	/* lock while shutting down port */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);	/* Disable interrupts */
 
-    /*
-     * clear delta_msr_wait queue to avoid mem leaks: we may free the irq
-     * here so the queue might never be woken up
-     */
-    wake_up_interruptible(&info->delta_msr_wait);
-
-    /*
-     * disable all interrupts, disable the port
-     */
-    siccuart_disable_rx_interrupt(info);
-    siccuart_disable_tx_interrupt(info);
-
-    /*
-     * Free the IRQ
-     */
-    free_irq(info->port->irqtx, info);
-    free_irq(info->port->irqrx, info);
-
-    if (info->xmit.buf) {
-        unsigned long pg = (unsigned long) info->xmit.buf;
-        info->xmit.buf = NULL;
-        free_page(pg);
-    }
-
-
-    if (!info->tty || (info->tty->termios->c_cflag & HUPCL))
-        info->mctrl &= ~(TIOCM_DTR|TIOCM_RTS);
-    info->port->set_mctrl(info->port, info->mctrl);
-
-    /* kill off our tasklet */
-    tasklet_kill(&info->tlet);
-    if (info->tty)
-        set_bit(TTY_IO_ERROR, &info->tty->flags);
-
-    info->flags &= ~ASYNC_INITIALIZED;
-
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-}
-
-
-static void siccuart_change_speed(struct SICC_info *info, struct termios *old_termios)
-{
-    unsigned int lcr_h, baud, quot, cflag, old_rcr, old_tcr, bits;
-    unsigned long flags;
-
-    if (!info->tty || !info->tty->termios)
-        return;
-
-    cflag = info->tty->termios->c_cflag;
-
-    pr_debug("siccuart_set_cflag(0x%x) called\n", cflag);
-    /* byte size and parity */
-    switch (cflag & CSIZE) {
-    case CS7: lcr_h =   _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT; bits = 9;  break;
-    default:  lcr_h =   _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT; bits = 10; break; // CS8
-    }
-    if (cflag & CSTOPB) {
-        lcr_h |= _LCR_SB_2_BIT;
-        bits ++;
-    }
-    if (cflag & PARENB) {
-        lcr_h |=  _LCR_PE_ENABLE;
-        bits++;
-        if (!(cflag & PARODD))
-            lcr_h |=  _LCR_PTY_ODD;
-        else
-            lcr_h |=  _LCR_PTY_EVEN;
-    }
-
-    do {
-        /* Determine divisor based on baud rate */
-        baud = tty_get_baud_rate(info->tty);
-        if (!baud)
-            baud = 9600;
-
-
-        {
-           // here is ppc403SetBaud(com_port, baud);
-           unsigned long divisor, clockSource, temp;
-
-           /* Ensure CICCR[7] is 0 to select Internal Baud Clock */
-           powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() & 0xFEFFFFFF));
-
-           /* Determine Internal Baud Clock Frequency */
-           /* powerpcMfclkgpcr() reads DCR 0x120 - the*/
-           /* SCCR (Serial Clock Control Register) on Vesta */
-           temp = powerpcMfclkgpcr();
-
-           if(temp & 0x00000080) {
-               clockSource = 324000000;
-           }
-           else {
-               clockSource = 216000000;
-           }
-           clockSource = clockSource/(unsigned long)((temp&0x00FC0000)>>18);
-           divisor = clockSource/(16*baud) - 1;
-           /* divisor has only 12 bits of resolution */
-           if(divisor>0x00000FFF){
-               divisor=0x00000FFF;
-           }
-
-           quot = divisor;
-        }
-
-        if (baud == 38400 &&
-            ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_CUST))
-            quot = info->state->custom_divisor;
-
-        if (!quot && old_termios) {
-            info->tty->termios->c_cflag &= ~CBAUD;
-            info->tty->termios->c_cflag |= (old_termios->c_cflag & CBAUD);
-            old_termios = NULL;
-        }
-    } while (quot == 0 && old_termios);
-
-    /* As a last resort, if the quotient is zero, default to 9600 bps */
-    if (!quot)
-        quot = (info->port->uartclk / (16 * 9600)) - 1;
-
-    info->timeout = info->port->fifosize * HZ * bits / baud;
-    info->timeout += HZ/50;     /* Add .02 seconds of slop */
-
-    if (cflag & CRTSCTS)
-        info->flags |= ASYNC_CTS_FLOW;
-    else
-        info->flags &= ~ASYNC_CTS_FLOW;
-    if (cflag & CLOCAL)
-        info->flags &= ~ASYNC_CHECK_CD;
-    else
-        info->flags |= ASYNC_CHECK_CD;
-
-    /*
-     * Set up parity check flag
-     */
+	/*
+	 * clear delta_msr_wait queue to avoid mem leaks: we may free the irq
+	 * here so the queue might never be woken up
+	 */
+	wake_up_interruptible(&info->delta_msr_wait);
+
+	/*
+	 * disable all interrupts, disable the port
+	 */
+	siccuart_disable_rx_interrupt(info);
+	siccuart_disable_tx_interrupt(info);
+
+	/*
+	 * Free the IRQ
+	 */
+	free_irq(info->port->irqtx, info);
+	free_irq(info->port->irqrx, info);
+
+	if (info->xmit.buf) {
+		unsigned long pg = (unsigned long)info->xmit.buf;
+		info->xmit.buf = NULL;
+		free_page(pg);
+	}
+
+	if (!info->tty || (info->tty->termios->c_cflag & HUPCL))
+		info->mctrl &= ~(TIOCM_DTR | TIOCM_RTS);
+	info->port->set_mctrl(info->port, info->mctrl);
+
+	/* kill off our tasklet */
+	tasklet_kill(&info->tlet);
+	if (info->tty)
+		set_bit(TTY_IO_ERROR, &info->tty->flags);
+
+	info->flags &= ~ASYNC_INITIALIZED;
+
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+}
+
+static void siccuart_change_speed(struct SICC_info *info,
+				  struct termios *old_termios)
+{
+	unsigned int lcr_h, baud, quot, cflag, old_rcr, old_tcr, bits;
+	unsigned long flags;
+
+	if (!info->tty || !info->tty->termios)
+		return;
+
+	cflag = info->tty->termios->c_cflag;
+
+	pr_debug("siccuart_set_cflag(0x%x) called\n", cflag);
+	/* byte size and parity */
+	switch (cflag & CSIZE) {
+	case CS7:
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT;
+		bits = 9;
+		break;
+	default:
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT;
+		bits = 10;
+		break;		// CS8
+	}
+	if (cflag & CSTOPB) {
+		lcr_h |= _LCR_SB_2_BIT;
+		bits++;
+	}
+	if (cflag & PARENB) {
+		lcr_h |= _LCR_PE_ENABLE;
+		bits++;
+		if (!(cflag & PARODD))
+			lcr_h |= _LCR_PTY_ODD;
+		else
+			lcr_h |= _LCR_PTY_EVEN;
+	}
+
+	do {
+		/* Determine divisor based on baud rate */
+		baud = tty_get_baud_rate(info->tty);
+		if (!baud)
+			baud = 9600;
+
+		{
+			// here is ppc403SetBaud(com_port, baud);
+			unsigned long divisor, clockSource, temp;
+
+			/* Ensure CICCR[7] is 0 to select Internal Baud Clock */
+			powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() &
+							0xFEFFFFFF));
+
+			/* Determine Internal Baud Clock Frequency */
+			/* powerpcMfclkgpcr() reads DCR 0x120 - the */
+			/* SCCR (Serial Clock Control Register) on Vesta */
+			temp = powerpcMfclkgpcr();
+
+			if (temp & 0x00000080) {
+				clockSource = 324000000;
+			} else {
+				clockSource = 216000000;
+			}
+			clockSource =
+			    clockSource /
+			    (unsigned long)((temp & 0x00FC0000) >> 18);
+			divisor = clockSource / (16 * baud) - 1;
+			/* divisor has only 12 bits of resolution */
+			if (divisor > 0x00000FFF) {
+				divisor = 0x00000FFF;
+			}
+
+			quot = divisor;
+		}
+
+		if (baud == 38400 &&
+		    ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_CUST))
+			quot = info->state->custom_divisor;
+
+		if (!quot && old_termios) {
+			info->tty->termios->c_cflag &= ~CBAUD;
+			info->tty->termios->c_cflag |=
+			    (old_termios->c_cflag & CBAUD);
+			old_termios = NULL;
+		}
+	} while (quot == 0 && old_termios);
+
+	/* As a last resort, if the quotient is zero, default to 9600 bps */
+	if (!quot)
+		quot = (info->port->uartclk / (16 * 9600)) - 1;
+
+	info->timeout = info->port->fifosize * HZ * bits / baud;
+	info->timeout += HZ / 50;	/* Add .02 seconds of slop */
+
+	if (cflag & CRTSCTS)
+		info->flags |= ASYNC_CTS_FLOW;
+	else
+		info->flags &= ~ASYNC_CTS_FLOW;
+	if (cflag & CLOCAL)
+		info->flags &= ~ASYNC_CHECK_CD;
+	else
+		info->flags |= ASYNC_CHECK_CD;
+
+	/*
+	 * Set up parity check flag
+	 */
 #define RELEVENT_IFLAG(iflag)   ((iflag) & (IGNBRK|BRKINT|IGNPAR|PARMRK|INPCK))
 
-    info->read_status_mask = _LSR_OE_MASK;
-    if (I_INPCK(info->tty))
-        info->read_status_mask |= _LSR_FE_MASK | _LSR_PE_MASK;
-    if (I_BRKINT(info->tty) || I_PARMRK(info->tty))
-        info->read_status_mask |= _LSR_LB_MASK;
-
-    /*
-     * Characters to ignore
-     */
-    info->ignore_status_mask = 0;
-    if (I_IGNPAR(info->tty))
-        info->ignore_status_mask |= _LSR_FE_MASK | _LSR_PE_MASK;
-    if (I_IGNBRK(info->tty)) {
-        info->ignore_status_mask |=  _LSR_LB_MASK;
-        /*
-         * If we're ignoring parity and break indicators,
-         * ignore overruns to (for real raw support).
-         */
-        if (I_IGNPAR(info->tty))
-            info->ignore_status_mask |=  _LSR_OE_MASK;
-    }
-
-    /* disable interrupts while reading and clearing registers */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-
-    old_rcr = readb(info->port->uart_base + BL_SICC_RCR);
-    old_tcr = readb(info->port->uart_base + BL_SICC_TxCR);
-
-
-    writeb(0, info->port->uart_base + BL_SICC_RCR);
-    writeb(0, info->port->uart_base + BL_SICC_TxCR);
-
-    /*RLBtrace (&ppc403Chan0, 0x2000000c, 0, 0);*/
+	info->read_status_mask = _LSR_OE_MASK;
+	if (I_INPCK(info->tty))
+		info->read_status_mask |= _LSR_FE_MASK | _LSR_PE_MASK;
+	if (I_BRKINT(info->tty) || I_PARMRK(info->tty))
+		info->read_status_mask |= _LSR_LB_MASK;
+
+	/*
+	 * Characters to ignore
+	 */
+	info->ignore_status_mask = 0;
+	if (I_IGNPAR(info->tty))
+		info->ignore_status_mask |= _LSR_FE_MASK | _LSR_PE_MASK;
+	if (I_IGNBRK(info->tty)) {
+		info->ignore_status_mask |= _LSR_LB_MASK;
+		/*
+		 * If we're ignoring parity and break indicators,
+		 * ignore overruns to (for real raw support).
+		 */
+		if (I_IGNPAR(info->tty))
+			info->ignore_status_mask |= _LSR_OE_MASK;
+	}
+
+	/* disable interrupts while reading and clearing registers */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+
+	old_rcr = readb(info->port->uart_base + BL_SICC_RCR);
+	old_tcr = readb(info->port->uart_base + BL_SICC_TxCR);
+
+	writeb(0, info->port->uart_base + BL_SICC_RCR);
+	writeb(0, info->port->uart_base + BL_SICC_TxCR);
+
+	/*RLBtrace (&ppc403Chan0, 0x2000000c, 0, 0); */
+
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+
+	/* Set baud rate */
+	writeb((quot & 0x00000F00) >> 8, info->port->uart_base + BL_SICC_BRDH);
+	writeb(quot & 0x00000FF, info->port->uart_base + BL_SICC_BRDL);
+
+	/* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
+	/* For now, do NOT use FIFOs since 403 UART did not have this    */
+	/* capability and this driver was inherited from 403UART.        */
+	writeb(_CTL2_EXTERN, info->port->uart_base + BL_SICC_CTL2);
 
+	writeb(lcr_h, info->port->uart_base + BL_SICC_LCR);
 
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-
-
-    /* Set baud rate */
-    writeb((quot & 0x00000F00)>>8, info->port->uart_base + BL_SICC_BRDH );
-    writeb( quot & 0x00000FF,      info->port->uart_base + BL_SICC_BRDL );
-
-    /* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
-    /* For now, do NOT use FIFOs since 403 UART did not have this    */
-    /* capability and this driver was inherited from 403UART.        */
-    writeb(_CTL2_EXTERN, info->port->uart_base + BL_SICC_CTL2);
-
-    writeb(lcr_h, info->port->uart_base + BL_SICC_LCR);
-
-    writeb(old_rcr, info->port->uart_base + BL_SICC_RCR);  // restore rcr
-    writeb(old_tcr, info->port->uart_base + BL_SICC_TxCR); // restore txcr
+	writeb(old_rcr, info->port->uart_base + BL_SICC_RCR);	// restore rcr
+	writeb(old_tcr, info->port->uart_base + BL_SICC_TxCR);	// restore txcr
 
 }
 
-
 static void siccuart_put_char(struct tty_struct *tty, u_char ch)
 {
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
 
-    if (!tty || !info->xmit.buf)
-        return;
+	if (!tty || !info->xmit.buf)
+		return;
 
-    /* lock info->xmit while adding character to tx buffer */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    if (CIRC_SPACE(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE) != 0) {
-        info->xmit.buf[info->xmit.head] = ch;
-        info->xmit.head = (info->xmit.head + 1) & (SICC_XMIT_SIZE - 1);
-    }
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
+	/* lock info->xmit while adding character to tx buffer */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	if (CIRC_SPACE(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE) != 0) {
+		info->xmit.buf[info->xmit.head] = ch;
+		info->xmit.head = (info->xmit.head + 1) & (SICC_XMIT_SIZE - 1);
+	}
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
 }
 
 static void siccuart_flush_chars(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
 
-    if (info->xmit.head == info->xmit.tail
-        || tty->stopped
-        || tty->hw_stopped
-        || !info->xmit.buf)
-        return;
-
-    /* disable interrupts while transmitting characters */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    siccuart_enable_tx_interrupt(info);
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-}
-
-static int siccuart_write(struct tty_struct *tty,
-              const u_char * buf, int count)
-{
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
-    int c, ret = 0;
-
-    if (!tty || !info->xmit.buf || !tmp_buf)
-        return 0;
-
-    /* lock info->xmit while removing characters from buffer */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    while (1) {
-        c = CIRC_SPACE_TO_END(info->xmit.head,
-                      info->xmit.tail,
-                      SICC_XMIT_SIZE);
-        if (count < c)
-            c = count;
-        if (c <= 0)
-            break;
-        memcpy(info->xmit.buf + info->xmit.head, buf, c);
-        info->xmit.head = (info->xmit.head + c) &
-                  (SICC_XMIT_SIZE - 1);
-        buf += c;
-        count -= c;
-        ret += c;
-    }
-    if (info->xmit.head != info->xmit.tail
-        && !tty->stopped
-        && !tty->hw_stopped)
-        siccuart_enable_tx_interrupt(info);
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-    return ret;
+	if (info->xmit.head == info->xmit.tail
+	    || tty->stopped || tty->hw_stopped || !info->xmit.buf)
+		return;
+
+	/* disable interrupts while transmitting characters */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	siccuart_enable_tx_interrupt(info);
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+}
+
+static int siccuart_write(struct tty_struct *tty, const u_char * buf, int count)
+{
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
+	int c, ret = 0;
+
+	if (!tty || !info->xmit.buf || !tmp_buf)
+		return 0;
+
+	/* lock info->xmit while removing characters from buffer */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	while (1) {
+		c = CIRC_SPACE_TO_END(info->xmit.head,
+				      info->xmit.tail, SICC_XMIT_SIZE);
+		if (count < c)
+			c = count;
+		if (c <= 0)
+			break;
+		memcpy(info->xmit.buf + info->xmit.head, buf, c);
+		info->xmit.head = (info->xmit.head + c) & (SICC_XMIT_SIZE - 1);
+		buf += c;
+		count -= c;
+		ret += c;
+	}
+	if (info->xmit.head != info->xmit.tail
+	    && !tty->stopped && !tty->hw_stopped)
+		siccuart_enable_tx_interrupt(info);
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+	return ret;
 }
 
 static int siccuart_write_room(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
+	struct SICC_info *info = tty->driver_data;
 
-    return CIRC_SPACE(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE);
+	return CIRC_SPACE(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE);
 }
 
 static int siccuart_chars_in_buffer(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
+	struct SICC_info *info = tty->driver_data;
 
-    return CIRC_CNT(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE);
+	return CIRC_CNT(info->xmit.head, info->xmit.tail, SICC_XMIT_SIZE);
 }
 
 static void siccuart_flush_buffer(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
 
-    pr_debug("siccuart_flush_buffer(%d) called\n", tty->index);
-    /* lock info->xmit while zeroing buffer counts */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    info->xmit.head = info->xmit.tail = 0;
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-    wake_up_interruptible(&tty->write_wait);
-    if ((tty->flags & (1 << TTY_DO_WRITE_WAKEUP)) &&
-        tty->ldisc.write_wakeup)
-        (tty->ldisc.write_wakeup)(tty);
+	pr_debug("siccuart_flush_buffer(%d) called\n", tty->index);
+	/* lock info->xmit while zeroing buffer counts */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	info->xmit.head = info->xmit.tail = 0;
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+	wake_up_interruptible(&tty->write_wait);
+	if ((tty->flags & (1 << TTY_DO_WRITE_WAKEUP)) &&
+	    tty->ldisc.write_wakeup)
+		(tty->ldisc.write_wakeup) (tty);
 }
 
 /*
